ScheduleRotations
Creates a schedule rotation
Creates a new schedule rotation from provided data
POST
/
v1
/
schedules
/
{schedule_id}
/
schedule_rotations
Creates a schedule rotation
curl --request POST \
--url https://api.rootly.com/v1/schedules/{schedule_id}/schedule_rotations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "schedule_rotations",
"attributes": {
"name": "<string>",
"schedule_rotationable_attributes": {
"handoff_time": "<string>"
},
"position": 123,
"active_all_week": true,
"active_days": [],
"active_time_type": "<string>",
"active_time_attributes": [
{
"start_time": "<string>",
"end_time": "<string>"
}
],
"time_zone": "Etc/UTC",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"schedule_rotation_members": [
{
"member_id": "<string>",
"position": 123
}
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "schedule_rotations",
"attributes": {
"schedule_id": "<string>",
"name": "<string>",
"schedule_rotationable_attributes": {
"handoff_time": "<string>"
},
"position": 123,
"active_all_week": true,
"active_days": [],
"active_time_type": "<string>",
"active_time_attributes": [
{
"start_time": "<string>",
"end_time": "<string>"
}
],
"time_zone": "Etc/UTC",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z"
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Creates a schedule rotation
curl --request POST \
--url https://api.rootly.com/v1/schedules/{schedule_id}/schedule_rotations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "schedule_rotations",
"attributes": {
"name": "<string>",
"schedule_rotationable_attributes": {
"handoff_time": "<string>"
},
"position": 123,
"active_all_week": true,
"active_days": [],
"active_time_type": "<string>",
"active_time_attributes": [
{
"start_time": "<string>",
"end_time": "<string>"
}
],
"time_zone": "Etc/UTC",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"schedule_rotation_members": [
{
"member_id": "<string>",
"position": 123
}
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "schedule_rotations",
"attributes": {
"schedule_id": "<string>",
"name": "<string>",
"schedule_rotationable_attributes": {
"handoff_time": "<string>"
},
"position": 123,
"active_all_week": true,
"active_days": [],
"active_time_type": "<string>",
"active_time_attributes": [
{
"start_time": "<string>",
"end_time": "<string>"
}
],
"time_zone": "Etc/UTC",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z"
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}